Index: svn/src/mainboard/iwill/dk8s2/mptable.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8s2/mptable.c
+++ svn/src/mainboard/iwill/dk8s2/mptable.c
@@ -46,7 +46,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
 			bus_8111_1 = 4;
 			bus_isa = 5;
@@ -58,7 +58,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
 			bus_8131_1 = 2;
 		}
@@ -69,7 +69,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_8131_2 = 3;
 		}
@@ -218,7 +218,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/iwill/dk8s2/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8s2/romstage.c
+++ svn/src/mainboard/iwill/dk8s2/romstage.c
@@ -163,7 +163,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_default_resource_map();
 
Index: svn/src/mainboard/iwill/dk8x/mptable.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8x/mptable.c
+++ svn/src/mainboard/iwill/dk8x/mptable.c
@@ -46,7 +46,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
 			bus_8111_1 = 4;
 			bus_isa = 5;
@@ -58,7 +58,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
 			bus_8131_1 = 2;
 		}
@@ -69,7 +69,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_8131_2 = 3;
 		}
@@ -218,7 +218,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/iwill/dk8x/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8x/romstage.c
+++ svn/src/mainboard/iwill/dk8x/romstage.c
@@ -163,7 +163,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_default_resource_map();
 
Index: svn/src/mainboard/kontron/986lcd-m/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/acpi_tables.c
+++ svn/src/mainboard/kontron/986lcd-m/acpi_tables.c
@@ -150,7 +150,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Align ACPI tables to 16byte */
 	ALIGN_CURRENT;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -173,7 +173,7 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
@@ -182,7 +182,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
@@ -190,14 +190,14 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	ALIGN_CURRENT;
@@ -212,7 +212,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Pack GNVS into the ACPI table area */
 	for (i=0; i < dsdt->length; i++) {
 		if (*(u32*)(((u32)dsdt) + i) == 0xC0DEBABE) {
-			printk(BIOS_DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08lx\n", i, current);
+			printk(DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08lx\n", i, current);
 			*(u32*)(((u32)dsdt) + i) = current; // 0x92 bytes
 			break;
 		}
@@ -231,18 +231,18 @@ unsigned long write_acpi_tables(unsigned
 	dsdt->checksum = 0;
 	dsdt->checksum = acpi_checksum((void *)dsdt, dsdt->length);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
 
 #if CONFIG_HAVE_ACPI_SLIC
-	printk(BIOS_DEBUG, "ACPI:     * SLIC\n");
+	printk(DEBUG, "ACPI:     * SLIC\n");
 	slic = (acpi_header_t *)current;
 	current += acpi_create_slic(current);
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, slic);
 #endif
 
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 	ALIGN_CURRENT;
@@ -250,16 +250,16 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:     * SSDT\n");
+	printk(DEBUG, "ACPI:     * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 	acpi_create_ssdt_generator(ssdt, "COREBOOT");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 	ALIGN_CURRENT;
 
-	printk(BIOS_DEBUG, "current = %lx\n", current);
+	printk(DEBUG, "current = %lx\n", current);
 
-	printk(BIOS_DEBUG, "ACPI:     * DMI (Linux workaround)\n");
+	printk(DEBUG, "ACPI:     * DMI (Linux workaround)\n");
 	memcpy((void *)0xfff80, dmi_table, DMI_TABLE_SIZE);
 #if CONFIG_WRITE_HIGH_TABLES == 1
 	memcpy((void *)current, dmi_table, DMI_TABLE_SIZE);
@@ -267,6 +267,6 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/kontron/986lcd-m/mainboard.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/mainboard.c
+++ svn/src/mainboard/kontron/986lcd-m/mainboard.c
@@ -47,7 +47,7 @@ static int int15_handler(void)
 #define BOOT_DISPLAY_EFP2	(1 << 6)
 #define BOOT_DISPLAY_LCD2	(1 << 7)
 
-	printk(BIOS_DEBUG, "%s: AX=%04x BX=%04x CX=%04x DX=%04x\n",
+	printk(DEBUG, "%s: AX=%04x BX=%04x CX=%04x DX=%04x\n",
 			  __func__, M.x86.R_AX, M.x86.R_BX, M.x86.R_CX, M.x86.R_DX);
 
 	switch (M.x86.R_AX) {
@@ -176,12 +176,12 @@ static void hwm_setup(void)
 
 	switch (cpufan_control) {
 	case FAN_CRUISE_CONTROL_SPEED:
-		printk(BIOS_DEBUG, "Fan Cruise Control setting CPU fan to %d RPM\n",
+		printk(DEBUG, "Fan Cruise Control setting CPU fan to %d RPM\n",
 				fan_speeds[cpufan_speed].fan_speed);
 		hwm_write(0x06, fan_speeds[cpufan_speed].fan_in);  // CPUFANIN target speed
 		break;
 	case FAN_CRUISE_CONTROL_THERMAL:
-		printk(BIOS_DEBUG, "Fan Cruise Control setting CPU fan to activation at %d deg C/%d deg F\n",
+		printk(DEBUG, "Fan Cruise Control setting CPU fan to activation at %d deg C/%d deg F\n",
 				temperatures[cpufan_temperature].deg_celsius,
 				temperatures[cpufan_temperature].deg_fahrenheit);
 		hwm_write(0x06, temperatures[cpufan_temperature].deg_celsius);  // CPUFANIN target temperature
@@ -190,12 +190,12 @@ static void hwm_setup(void)
 
 	switch (sysfan_control) {
 	case FAN_CRUISE_CONTROL_SPEED:
-		printk(BIOS_DEBUG, "Fan Cruise Control setting system fan to %d RPM\n",
+		printk(DEBUG, "Fan Cruise Control setting system fan to %d RPM\n",
 				fan_speeds[sysfan_speed].fan_speed);
 		hwm_write(0x05, fan_speeds[sysfan_speed].fan_in);  // SYSFANIN target speed
 		break;
 	case FAN_CRUISE_CONTROL_THERMAL:
-		printk(BIOS_DEBUG, "Fan Cruise Control setting system fan to activation at %d deg C/%d deg F\n",
+		printk(DEBUG, "Fan Cruise Control setting system fan to activation at %d deg C/%d deg F\n",
 				temperatures[sysfan_temperature].deg_celsius,
 				temperatures[sysfan_temperature].deg_fahrenheit);
 		hwm_write(0x05, temperatures[sysfan_temperature].deg_celsius); // SYSFANIN target temperature
Index: svn/src/mainboard/kontron/986lcd-m/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/mainboard_smi.c
+++ svn/src/mainboard/kontron/986lcd-m/mainboard_smi.c
@@ -32,7 +32,7 @@ int mainboard_io_trap_handler(int smif)
 {
 	switch (smif) {
 	case 0x99:
-		printk(BIOS_DEBUG, "Sample\n");
+		printk(DEBUG, "Sample\n");
 		gnvs->smif = 0;
 		break;
 	default:
Index: svn/src/mainboard/kontron/986lcd-m/mptable.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/mptable.c
+++ svn/src/mainboard/kontron/986lcd-m/mptable.c
@@ -59,7 +59,7 @@ static void *smp_write_config_table(void
 	firewire = dev_find_device(0x104c, 0x8023, 0);
 	if (firewire) {
 		firewire_bus = firewire->bus->secondary;
-		printk(BIOS_SPEW, "Firewire device is on bus %x\n",
+		printk(SPEW, "Firewire device is on bus %x\n",
 				firewire_bus);
 		max_pci_bus = firewire_bus;
 	}
@@ -71,7 +71,7 @@ static void *smp_write_config_table(void
 		riser = dev_find_device(0x3388, 0x0022, 0);
 	if (riser) {
 		riser_bus = riser->link[0].secondary;
-		printk(BIOS_SPEW, "Riser bus is %x\n", riser_bus);
+		printk(SPEW, "Riser bus is %x\n", riser_bus);
 		max_pci_bus = riser_bus;
 	}
 
@@ -153,7 +153,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
 
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
 
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/kontron/986lcd-m/romstage.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/romstage.c
+++ svn/src/mainboard/kontron/986lcd-m/romstage.c
@@ -67,7 +67,7 @@
 #include "southbridge/intel/i82801gx/i82801gx.h"
 static void setup_ich7_gpios(void)
 {
-	printk(BIOS_DEBUG, " GPIOS...");
+	printk(DEBUG, " GPIOS...");
 	/* General Registers */
 	outl(0x1f1ff7c0, DEFAULT_GPIOBASE + 0x00);	/* GPIO_USE_SEL */
 	outl(0xe0e8efc3, DEFAULT_GPIOBASE + 0x04);	/* GP_IO_SEL */
@@ -262,18 +262,18 @@ static void rcba_config(void)
 	reg32 |= FD_PCIE6|FD_PCIE5|FD_PCIE4;
 
 	if (read_option(CMOS_VSTART_ethernet1, CMOS_VLEN_ethernet1, 0) != 0) {
-		printk(BIOS_DEBUG, "Disabling ethernet adapter 1.\n");
+		printk(DEBUG, "Disabling ethernet adapter 1.\n");
 		reg32 |= FD_PCIE1;
 	}
 	if (read_option(CMOS_VSTART_ethernet2, CMOS_VLEN_ethernet2, 0) != 0) {
-		printk(BIOS_DEBUG, "Disabling ethernet adapter 2.\n");
+		printk(DEBUG, "Disabling ethernet adapter 2.\n");
 		reg32 |= FD_PCIE2;
 	} else {
 		if (reg32 & FD_PCIE1)
 			port_shuffle = 1;
 	}
 	if (read_option(CMOS_VSTART_ethernet3, CMOS_VLEN_ethernet3, 0) != 0) {
-		printk(BIOS_DEBUG, "Disabling ethernet adapter 3.\n");
+		printk(DEBUG, "Disabling ethernet adapter 3.\n");
 		reg32 |= FD_PCIE3;
 	} else {
 		if (reg32 & FD_PCIE1)
@@ -387,7 +387,7 @@ void real_main(unsigned long bist)
 	report_bist_failure(bist);
 
 	if (MCHBAR16(SSKPD) == 0xCAFE) {
-		printk(BIOS_DEBUG, "soft reset detected.\n");
+		printk(DEBUG, "soft reset detected.\n");
 		boot_mode = 1;
 	}
 
@@ -398,10 +398,10 @@ void real_main(unsigned long bist)
 
 	/* Read PM1_CNT */
 	reg32 = inl(DEFAULT_PMBASE + 0x04);
-	printk(BIOS_DEBUG, "PM1_CNT: %08x\n", reg32);
+	printk(DEBUG, "PM1_CNT: %08x\n", reg32);
 	if (((reg32 >> 10) & 7) == 5) {
 #if CONFIG_HAVE_ACPI_RESUME
-		printk(BIOS_DEBUG, "Resume from S3 detected.\n");
+		printk(DEBUG, "Resume from S3 detected.\n");
 		boot_mode = 2;
 		/* Clear SLP_TYPE. This will break stage2 but
 		 * we care for that when we get there.
@@ -409,7 +409,7 @@ void real_main(unsigned long bist)
 		outl(reg32 & ~(7 << 10), DEFAULT_PMBASE + 0x04);
 
 #else
-		printk(BIOS_DEBUG, "Resume from S3 detected, but disabled.\n");
+		printk(DEBUG, "Resume from S3 detected, but disabled.\n");
 #endif
 	}
 
@@ -446,7 +446,7 @@ void real_main(unsigned long bist)
 		/* This will not work if TSEG is in place! */
 		u32 tom = pci_read_config32(PCI_DEV(0,2,0), 0x5c);
 
-		printk(BIOS_DEBUG, "TOM: 0x%08x\n", tom);
+		printk(DEBUG, "TOM: 0x%08x\n", tom);
 		ram_check(0x00000000, 0x000a0000);
 		//ram_check(0x00100000, tom);
 	}
Index: svn/src/mainboard/kontron/986lcd-m/rtl8168.c
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/rtl8168.c
+++ svn/src/mainboard/kontron/986lcd-m/rtl8168.c
@@ -27,7 +27,7 @@
 
 static void nic_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
+	printk(DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
 	// Nothing to do yet, but this has to be here to keep 
 	// coreboot from trying to execute an option ROM.
 }
Index: svn/src/mainboard/kontron/kt690/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/acpi_tables.c
+++ svn/src/mainboard/kontron/kt690/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -140,7 +140,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -158,20 +158,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -179,19 +179,19 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, ssdt);
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	current += dsdt->length;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -199,22 +199,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/kontron/kt690/fadt.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/fadt.c
+++ svn/src/mainboard/kontron/kt690/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/kontron/kt690/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/irq_tables.c
+++ svn/src/mainboard/kontron/kt690/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/kontron/kt690/mainboard.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/mainboard.c
+++ svn/src/mainboard/kontron/kt690/mainboard.c
@@ -61,7 +61,7 @@ static void enable_onboard_nic()
 {
 	u8 byte;
 
-	printk(BIOS_INFO, "%s.\n", __func__);
+	printk(INFO, "%s.\n", __func__);
 
 	/* set index register 0C50h to 13h (miscellaneous control) */
 	outb(0x13, 0xC50);	/* CMIndex */
@@ -100,7 +100,7 @@ static void get_ide_dma66()
 	struct device *sm_dev;
 	struct device *ide_dev;
 
-	printk(BIOS_INFO, "%s.\n", __func__);
+	printk(INFO, "%s.\n", __func__);
 	sm_dev = dev_find_slot(0, PCI_DEVFN(0x14, 0));
 
 	byte = pci_read_config8(sm_dev, 0xA9);
@@ -137,7 +137,7 @@ static void set_thermal_config()
 
 	byte = ADT7461_read_byte(0x02);	/* read status register to clear it */
 	ARA_read_byte(0x05); /* A hardware alert can only be cleared by the master sending an ARA as a read command */
-	printk(BIOS_INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
+	printk(INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
 
 	/* sb600 settings for thermal config */
 	/* set SB600 GPIO 64 to GPIO with pull-up */
@@ -190,19 +190,19 @@ void kt690_enable(device_t dev)
 	struct mainboard_config *mainboard =
 	    (struct mainboard_config *)dev->chip_info;
 
-	printk(BIOS_INFO, "Mainboard KT690 Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard KT690 Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
 
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
-	printk(BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 		    __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
-	printk(BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 		    __func__, msr2.lo, msr2.hi);
 
 	switch (msr.lo) {
@@ -224,7 +224,7 @@ void kt690_enable(device_t dev)
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -244,7 +244,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
 	uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
Index: svn/src/mainboard/kontron/kt690/mptable.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/mptable.c
+++ svn/src/mainboard/kontron/kt690/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/kontron/kt690/romstage.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/romstage.c
+++ svn/src/mainboard/kontron/kt690/romstage.c
@@ -131,7 +131,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_kt690_resource_map();
 
@@ -157,7 +157,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -165,17 +165,17 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
-		printk(BIOS_SPEW, "... because cpuid returned %08x\n", cpuid1.edx);
+		printk(DEBUG, "Changing FIDVID not supported\n");
+		printk(SPEW, "... because cpuid returned %08x\n", cpuid1.edx);
 	}
 
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs690_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	if (needs_reset) {
 		print_info("ht reset -\n");
@@ -185,7 +185,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/lippert/roadrunner-lx/mainboard.c
===================================================================
--- svn.orig/src/mainboard/lippert/roadrunner-lx/mainboard.c
+++ svn/src/mainboard/lippert/roadrunner-lx/mainboard.c
@@ -42,7 +42,7 @@ static void init(struct device *dev)
 {
 	struct mainboard_config *mb = dev->chip_info;
 	unsigned int gpio_base, i;
-	printk(BIOS_DEBUG, "LiPPERT RoadRunner-LX ENTER %s\n", __func__);
+	printk(DEBUG, "LiPPERT RoadRunner-LX ENTER %s\n", __func__);
 
 	/* Init CS5536 GPIOs. */
 	gpio_base = pci_read_config32(dev_find_device(PCI_VENDOR_ID_AMD,
@@ -62,7 +62,7 @@ static void init(struct device *dev)
 	}
 
 	outb(mb->sio_gp1x_config, 0x1220); /* Simple-I/O GP17-10 */
-	printk(BIOS_DEBUG, "LiPPERT RoadRunner-LX EXIT %s\n", __func__);
+	printk(DEBUG, "LiPPERT RoadRunner-LX EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/lippert/spacerunner-lx/mainboard.c
===================================================================
--- svn.orig/src/mainboard/lippert/spacerunner-lx/mainboard.c
+++ svn/src/mainboard/lippert/spacerunner-lx/mainboard.c
@@ -43,7 +43,7 @@ static void init(struct device *dev)
 {
 	struct mainboard_config *mb = dev->chip_info;
 	unsigned int gpio_base, i;
-	printk(BIOS_DEBUG, "LiPPERT SpaceRunner-LX ENTER %s\n", __func__);
+	printk(DEBUG, "LiPPERT SpaceRunner-LX ENTER %s\n", __func__);
 
 	/* Init CS5536 GPIOs */
 	gpio_base = pci_read_config32(dev_find_device(PCI_VENDOR_ID_AMD,
@@ -66,7 +66,7 @@ static void init(struct device *dev)
 	}
 
 	outb(mb->sio_gp1x_config, 0x1220); /* Simple-I/O GP17-10 */
-	printk(BIOS_DEBUG, "LiPPERT SpaceRunner-LX EXIT %s\n", __func__);
+	printk(DEBUG, "LiPPERT SpaceRunner-LX EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/msi/ms7135/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/get_bus_conf.c
+++ svn/src/mainboard/msi/ms7135/get_bus_conf.c
@@ -112,7 +112,7 @@ void get_bus_conf(void)
 				bus_type[j] = 1;
 		} else {
 			printk
-			    (BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
+			    (DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
 			     bus_ck804[0], sbdn + dn);
 			bus_isa = bus_ck804[i - 1] + 1;
 		}
Index: svn/src/mainboard/msi/ms7135/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/irq_tables.c
+++ svn/src/mainboard/msi/ms7135/irq_tables.c
@@ -91,7 +91,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *) (addr);
@@ -200,7 +200,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 #if 0
 	unsigned char irq[4];
Index: svn/src/mainboard/msi/ms7135/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/mptable.c
+++ svn/src/mainboard/msi/ms7135/mptable.c
@@ -212,7 +212,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/msi/ms7260/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/get_bus_conf.c
+++ svn/src/mainboard/msi/ms7260/get_bus_conf.c
@@ -115,7 +115,7 @@ void get_bus_conf(void)
 			bus_type[j] = 1;
 	} else {
 		printk
-		    (BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",
+		    (DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",
 		     sbdn + 0x06);
 
 		bus_mcp55[1] = 2;
@@ -133,7 +133,7 @@ void get_bus_conf(void)
 				bus_type[j] = 1;
 		} else {
 			printk
-			    (BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
+			    (DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
 			     bus_mcp55[0], sbdn + 0x0a + i - 2);
 			bus_isa = bus_mcp55[i - 1] + 1;
 		}
Index: svn/src/mainboard/msi/ms7260/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/irq_tables.c
+++ svn/src/mainboard/msi/ms7260/irq_tables.c
@@ -71,7 +71,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 and 0x100000. */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -106,7 +106,7 @@ unsigned long write_pirq_routing_table(u
 	if (sum != pirq->checksum)
 		pirq->checksum = sum;
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/msi/ms7260/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/mptable.c
+++ svn/src/mainboard/msi/ms7260/mptable.c
@@ -139,7 +139,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/msi/ms7260/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/romstage.c
+++ svn/src/mainboard/msi/ms7260/romstage.c
@@ -187,7 +187,7 @@ void cache_as_ram_main(unsigned long bis
 #endif
 	console_init();
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	print_debug("bsp_apicid=");
 	print_debug_hex8(bsp_apicid);
 	print_debug("\n");
